/* flaneth - flash and ethernet
   Copyright (C) 2007-2012 Stefan Schuermans <stefan@schuermans.info>
   Copyleft: GNU public license V2 - http://www.gnu.org/copyleft/gpl.html
   a BlinkenArea project - http://www.blinkenarea.org/ */

#ifndef INC_random
#define INC_random

// provide some entropy
extern void RandomProvideEntropy(unsigned char Entropy);

// task function to do the work - call from main loop
extern void RandomTask(void);

// get random data
extern void RandomGetData(unsigned char *pData, unsigned char Length);

#endif // #ifndef INC_random
